using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {

			CategoryBuilder.Create("DCBK NPC Pack", "Big pack with various NPCs created by Decibek", ModAPI.LoadSprite("icon.png"));
			
//human_green_ts
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 1",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Man in green t-shirt",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_green_ts.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_green_ts.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_newyear
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 2",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>I usually see him on New Years or Christmas",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_newyear.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_newyear.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_builder
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 3",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Builder. Don't forget to wear a helmet!",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_builder.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_builder.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_white
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 4",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Ordinary Citizen",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_white.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_white.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//gangsta_fan
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 5",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>This dude looks cool, right?",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_gangsta_fan.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("gangsta_fan.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//pilot_f1
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#87cefa>Human 6",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>F1 driver",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_pilot_f1.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_pilot_f1.png");
            var flesh = ModAPI.LoadTexture("flesh.png");
            var bone = ModAPI.LoadTexture("bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_w_top_j
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#ffb6c1>Human Girl 1",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Cool girl",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_w_top_j.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_w_top_j.png");
            var flesh = ModAPI.LoadTexture("women_flesh.png");
            var bone = ModAPI.LoadTexture("women_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_w_bunny
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#ffb6c1>Human Girl 4",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>she reminds me of someone...",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_w_bunny.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_w_bunny.png");
            var flesh = ModAPI.LoadTexture("women_flesh.png");
            var bone = ModAPI.LoadTexture("women_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_w_hoodie
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#ffb6c1>Human Girl 2",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Girl in hoodie",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_w_hoodie.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_w_hoodie.png");
            var flesh = ModAPI.LoadTexture("women_flesh.png");
            var bone = ModAPI.LoadTexture("women_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_w_whiteshirt
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#ffb6c1>Human Girl 3",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>Girl in a green t-shirt",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_w_whiteshirt.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_w_whiteshirt.png");
            var flesh = ModAPI.LoadTexture("women_flesh.png");
            var bone = ModAPI.LoadTexture("women_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

//human_w_kolgotkah_setka
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "<color=#ffb6c1>Human Girl 5",
	NameToOrderByOverride = "A",
        DescriptionOverride = "<color=white>pretty hot...:)",
        CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"),
        ThumbnailOverride = ModAPI.LoadSprite("tm_human_w_kolgotkah_setka.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("human_w_kolgotkah_setka.png");
            var flesh = ModAPI.LoadTexture("women_flesh.png");
            var bone = ModAPI.LoadTexture("women_bone.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);


                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 1", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - version 1", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );
	  
                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Builder's Helmet", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Helmet for Builder", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_helmet.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("helmet.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>F1 Helmet", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Helmet for F1 driver", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_f1_helmet.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("f1_helmet.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("f1_helmet.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 2", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - version 2", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair2.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair2.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair2.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 3", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - version 3", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair3.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair3.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair3.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 4", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - version 4", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair4.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair4.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair4.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

               ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 5", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - bunny version (5)", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair5.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair5.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair5.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );



                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Women Hair 6", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Women Hair - version 6", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_women_hair6.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("women_hair6.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("women_hair6.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>F1 Driver's helmet", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Helmet for driver", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_r_helmet.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("r_helmet.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("r_helmet.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );

                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Plank"), 
                    NameOverride = "<color=#f0e68c>Cap", 
                    NameToOrderByOverride = "B",
                    DescriptionOverride = "<color=white>Common cap", 
                    CategoryOverride = ModAPI.FindCategory("DCBK NPC Pack"), 
                    ThumbnailOverride = ModAPI.LoadSprite("tm_cap.png"), 
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("cap.png"); 
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.0f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 0.1f;
                        int PartCount = 1;

                        if (!Instance.GetComponent<ArmorBehaviour>())
                            Instance.AddComponent<ArmorBehaviour>();

                        ArmorBehaviour armor = Instance.GetComponent<ArmorBehaviour>();

                        ArmorProperties prop = new ArmorProperties();
                        
                        prop.armorPiece = "Head";
                        prop.armorTier = 4;
                        prop.armorPoints = 5;
                        prop.sprite = ModAPI.LoadSprite("cap.png");

                        armor.prop = prop;
                        armor.SetProperties();

                        ArmorProperties[] armProp = new ArmorProperties[PartCount - 1];

                        if (armor.spawn)
                        {
                            armor.SetPieces = new ArmorBehaviour[PartCount - 1];
                            armor.SpawnOtherParts(armProp);
                        }

                        Instance.FixColliders();
                    }
                }
            );


        }
    }
}